challengeInformationScreen_titleText = ""
challengeInformationScreen_undertitleText = ""
challengeInformationScreen_descText = ""

function challengeInformationScreen_afterWindowClose()
	cfunction("callCPPFunction", "challenge_removeInfoScreen", "", 0)	
end

function challengeInformationScreen_reloadData()
end

function challengeInformationScreen_removeGfx()
	cfunction("showFontOverlay", "tutorial_title", 0, 100, 0, 50)
	cfunction("showFontOverlay", "tutorial_desc", 0, 100, 0, 100)		
	cfunction("showFontOverlay", "tutorial_undertitle", 0, 100, 0, 150)	
end

function challengeInformationScreen_onSubmitPressed()			
	challengeInformationScreen_removeGfx()
	closeAndDestroyPopupWindow("challengeInformationScreen_afterWindowClose", PopupOptions[FADETONORMAL])			
end

function challengeInformationScreen_onEnterState()	
	--cfunction("callCPPFunction", "tutorial_createInformationScreen", "", 0)
	openPopupWindow("challengeInformationScreen_afterWindowOpen", 3.0, 0)	
end

function challengeInformationScreen_afterWindowOpen()
	cfunction("showFontOverlay", "tutorial_title", 1, 100, 0, 55)
	cfunction("setFontOverlayText", "tutorial_title", '\05'..challengeInformationScreen_titleText)
	
	cfunction("showFontOverlay", "tutorial_undertitle", 1, 100, 0, 200)
	cfunction("setFontOverlayText", "tutorial_undertitle", '\03'..'3'..'\05'..challengeInformationScreen_undertitleText)
	
	
	cfunction("showFontOverlay", "tutorial_desc", 1, 100, 0, 100)
	
	cfunction("setFontOverlayText", "tutorial_desc", '\05'..challengeInformationScreen_descText)
	
end

function challengeInformationScreen_onLeaveState()				
end

